> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-api-geopard/82.-zapit-vidnoviti-podiyi-pidpiski.md).

# 82. Запит: Відновити події підписки

Завжди корисно мати можливість відновити/перевірити доставлені та створені події підписки. Тому GeoPard зберігає історію всіх створених подій підписки для **останні 12 місяців**.&#x20;

Поширені випадки:&#x20;

* Погане інтернет-з'єднання і події не були доставлені
* Переразгортання (redeployment) WebSocket-слухача
* Перевірте узгодженість отриманих і створених подій

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Підтримувані вхідні фільтри:

* `dateFrom` як дата-час у форматі ISO 8701 (наприклад: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` як дата-час у форматі ISO 8701 (наприклад: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` як масив UUID "Ферми" для пошуку
* `fieldUuids` як масив UUID "Поля" для пошуку&#x20;
* `userUuids` як масив UUID користувачів для пошуку
* `eventUuids` як масив UUID підписки "Подія"

{% hint style="info" %}
Всі фільтри працюють як логічні **І**.
{% endhint %}

{% hint style="info" %}
Кожна подія підписки має атрибут `executionDate` пов'язаний з моментом відправлення у форматі AWSDateTime, сумісному з ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-api-geopard/82.-zapit-vidnoviti-podiyi-pidpiski.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
